## dde-application-wizard 0.1.10

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

cmake_minimum_required(VERSION 3.11)

project(dde-application-wizard)

set(CMAKE_CXX_STANDARD 20) # for QCoro. Might switch back to 17 if we can switch to Qt6 and use Qt6's async/await
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON) # ensure adapter class can include launcheri1compat.h

find_package(Qt5 REQUIRED COMPONENTS Core LinguistTools)
find_package(Dtk REQUIRED COMPONENTS Core Gui)
find_package(QCoro5 COMPONENTS Core REQUIRED)
find_package(AppStreamQt REQUIRED)
find_package(PackageKitQt5 REQUIRED)

set(BIN_NAME dde-application-wizard-daemon-compat)

include(FeatureSummary)
include(GNUInstallDirs)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

add_subdirectory(systemd)
add_subdirectory(dbus)

set(SOURCE_FILES
    main.cpp
    pkutils.cpp pkutils.h
    dbus/launcher1compat.cpp dbus/launcher1compat.h
)

qt_add_dbus_adaptor(DBUS_ADAPTER_FILES dbus/org.deepin.dde.daemon.Launcher1.xml dbus/launcher1compat.h Launcher1Compat)

set(TRANSLATION_FILES
    translations/dde-application-wizard.ts
    translations/dde-application-wizard_bo.ts
    translations/dde-application-wizard_es.ts
    translations/dde-application-wizard_hu.ts
    translations/dde-application-wizard_it.ts
    translations/dde-application-wizard_ja.ts
    translations/dde-application-wizard_ko.ts
    translations/dde-application-wizard_pl.ts
    translations/dde-application-wizard_pt_BR.ts
    translations/dde-application-wizard_ru.ts
    translations/dde-application-wizard_uk.ts
    translations/dde-application-wizard_zh_CN.ts
    translations/dde-application-wizard_zh_TW.ts
    translations/dde-application-wizard_zh_HK.ts
)

qt_create_translation(TRANSLATED_FILES ${SOURCE_FILES} ${TRANSLATION_FILES})

add_executable(${BIN_NAME})

target_sources(${BIN_NAME}
PRIVATE
    ${SOURCE_FILES}
    ${DBUS_ADAPTER_FILES}
    ${TRANSLATED_FILES}
)

target_link_libraries(${BIN_NAME} PRIVATE
    Dtk::Core
    Dtk::Gui
    QCoro::Core
    PK::packagekitqt5
)

install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})
install(FILES polkit-1/rules.d/org.deepin.dde.application-wizard.rules DESTINATION ${CMAKE_INSTALL_DATADIR}/polkit-1/rules.d)
install(FILES ${TRANSLATED_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/dde-application-wizard/translations)

=== debian/changelog ===
dde-application-wizard (0.1.10) unstable; urgency=medium

  * Revert "feat: Adapt to uninstall of applications patched by deepin-deb-fix"
    Skip authentication when removing packages by application-wizard
    Translations update from Hosted Weblate

 -- Yutao Meng <mengyutao@deepin.org>  Tue, 30 Jul 2024 16:17:38 +0800

dde-application-wizard (0.1.9) unstable; urgency=medium

  * feat: Adapt to uninstall of applications patched by deepin-deb-fix

 -- Zhang kun <zhangkun2@uniontech.com>  Fri, 26 Apr 2024 16:25:55 +0800

dde-application-wizard (0.1.8) unstable; urgency=medium

  * Fix #7910
    Fix desktop shortcut not removed after uninstallation
 -- Yutao Meng <mengyutao@deepin.org>  Tue, 23 Apr 2024 15:34:00 +0800

dde-application-wizard (0.1.7) unstable; urgency=medium

  * Update translation for Russian language.
  * Add dde-shell to allow list, remove dde-launcher from allow list.

 -- Wang Zichong <wangzichong@deepin.org>  Fri, 12 Apr 2024 15:45:00 +0800

dde-application-wizard (0.1.6) unstable; urgency=medium

  * fix: add runtime dependency

 -- YuMing He <heyuming@deepin.org>  Mon, 29 Jan 2024 18:01:08 +0800

dde-application-wizard (0.1.5) unstable; urgency=medium

  * Fix notification of uninstall isn't disappear

 -- wangfei <wangfei@deepin.org>  Wed, 17 Jan 2024 15:13:13 +0800

dde-application-wizard (0.1.4) unstable; urgency=medium

  * Fix cannot install linglong app (linuxdeepin/developer-center#6655)

 -- Wang Zichong <wangzichong@deepin.org>     Thu, 16 Jan 2024 13:40:00 +0800

dde-application-wizard (0.1.3) unstable; urgency=medium

  * Adjust translation install location

 -- Wang Zichong <wangzichong@deepin.org>     Thu, 04 Jan 2024 10:48:00 +0800

dde-application-wizard (0.1.2) unstable; urgency=medium

  * Fix translation not loaded.

 -- Wang Zichong <wangzichong@deepin.org>     Tue, 02 Jan 2024 17:14:00 +0800

dde-application-wizard (0.1.1) unstable; urgency=medium

  * Update translations

 -- Wang Zichong <wangzichong@deepin.org>     Fri, 29 Dec 2023 15:10:00 +0800

dde-application-wizard (0.1.0) unstable; urgency=medium

  * Release 0.1.0

 -- He YuMing <heyuming@deepin.org>     Fri, 03 Nov 2023 13:24:51 +0800

dde-application-wizard (0.0.0) UNRELEASED; urgency=medium

  * Initial release

 -- Gary Wang <wangzichong@deepin.org>  Thu, 28 Oct 2023 21:32:43 +0800

=== debian/control ===
Source: dde-application-wizard
Section: unknown
Priority: optional
Maintainer: Gary Wang <wangzichong@deepin.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 pkg-config,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 libdtkcommon-dev,
 libdtkcore-dev,
 libdtkwidget-dev,
 libdtkgui-dev,
 libappstreamqt-dev,
 libpackagekitqt5-dev,
 qcoro-qt5-dev,
# v-- to get systemduserunitdir from its pkg-config data
 systemd
Standards-Version: 4.6.0
Rules-Requires-Root: no

Package: dde-application-wizard-daemon-compat
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 packagekit
Conflicts: dde-application-manager (< 1.1.0)
Description: D-Bus compat module to provide app uninstall support
 This package provides the app uninstallation related D-Bus APIs which

## dde-application-wizard 0.1.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,11 +12,11 @@
 set(CMAKE_AUTORCC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON) # ensure adapter class can include launcheri1compat.h
 
-find_package(Qt5 REQUIRED COMPONENTS Core LinguistTools)
-find_package(Dtk REQUIRED COMPONENTS Core Gui)
-find_package(QCoro5 COMPONENTS Core REQUIRED)
+find_package(Qt6 REQUIRED COMPONENTS Core LinguistTools)
+find_package(Dtk6 REQUIRED COMPONENTS Core Gui)
+find_package(QCoro6 COMPONENTS Core REQUIRED)
 find_package(AppStreamQt REQUIRED)
-find_package(PackageKitQt5 REQUIRED)
+find_package(PackageKitQt6 REQUIRED)
 
 set(BIN_NAME dde-application-wizard-daemon-compat)
 
@@ -65,12 +65,14 @@
 )
 
 target_link_libraries(${BIN_NAME} PRIVATE
-    Dtk::Core
-    Dtk::Gui
+    Dtk6::Core
+    Dtk6::Gui
     QCoro::Core
-    PK::packagekitqt5
+    PK::packagekitqt6
 )
 
 install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})
+install(FILES scripts/dde-appwiz-uninstaller.sh DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})
+install(FILES polkit-1/actions/org.deepin.dde.appwiz.uninstall.policy DESTINATION ${CMAKE_INSTALL_DATADIR}/polkit-1/actions)
 install(FILES polkit-1/rules.d/org.deepin.dde.application-wizard.rules DESTINATION ${CMAKE_INSTALL_DATADIR}/polkit-1/rules.d)
 install(FILES ${TRANSLATED_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/dde-application-wizard/translations)

=== dbus/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

configure_file(
    org.deepin.dde.daemon.Launcher1.service.in
    ${CMAKE_CURRENT_BINARY_DIR}/org.deepin.dde.daemon.Launcher1.service
    @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.deepin.dde.daemon.Launcher1.service
        DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/services)

=== debian/changelog ===
dde-application-wizard (0.1.14) unstable; urgency=medium

  * chore: change polkit rule from packagekit to appwiz's script
    (PMS: BUG-303279)

 -- Wang Zichong <wangzichong@deepin.org>  Thu, 15 Mar 2025 20:00:00 +0800

dde-application-wizard (0.1.13) unstable; urgency=medium

  * fix: Uninstalling compatibility mode application failed

 -- Lv Peilong <lvpeilong@uniontech.com>  Tue, 11 Mar 2025 15:51:58 +0800

dde-application-wizard (0.1.12) unstable; urgency=medium

  * i18n: Translations update from Hosted Weblate
  * feat: support deepin-compatible-mode uninstallation

 -- Wang Zichong <wangzichong@deepin.org>  Thu, 06 Mar 2025 20:03:00 +0800

dde-application-wizard (0.1.11) unstable; urgency=medium

  * Fix uninstall on ostree-booted environment

 -- Wang Zichong <wangzichong@deepin.org>  Tue, 14 Jan 2025 21:00:00 +0800

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
		dh $@ --parallel

override_dh_auto_configure:
		dh_auto_configure -- \
			-DVERSION=$(DEB_VERSION_UPSTREAM)

## dde-application-wizard 0.1.15

=== debian/changelog ===
dde-application-wizard (0.1.15) unstable; urgency=medium

  * fix: use ddeDisplayName instead of name for notifications
  * feat: support X-Deepin-PreUninstall for deepin-wine
  * i18n: Translations update from Hosted Weblate (#38)

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 19 Jun 2025 11:20:52 +0800

## dde-application-wizard 0.1.18

=== debian/changelog ===
dde-application-wizard (0.1.18) unstable; urgency=medium

  * chore: able to mark if we should skip preuninstall hook

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 10 Jul 2025 20:15:27 +0800

dde-application-wizard (0.1.17) unstable; urgency=medium

  * fix: add hardening compiler flags in Debian build

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 03 Jul 2025 19:52:26 +0800

dde-application-wizard (0.1.16) unstable; urgency=medium

  * fix: pre-uninstall hook waitForFinished shouldn't timeout after 30s

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 03 Jul 2025 17:13:02 +0800

## dde-application-wizard 0.1.21

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,6 +39,7 @@
 set(TRANSLATION_FILES
     translations/dde-application-wizard.ts
     translations/dde-application-wizard_bo.ts
+    translations/dde-application-wizard_de.ts
     translations/dde-application-wizard_es.ts
     translations/dde-application-wizard_hu.ts
     translations/dde-application-wizard_it.ts
@@ -47,6 +48,8 @@
     translations/dde-application-wizard_pl.ts
     translations/dde-application-wizard_pt_BR.ts
     translations/dde-application-wizard_ru.ts
+    translations/dde-application-wizard_ta.ts
+    translations/dde-application-wizard_tr.ts
     translations/dde-application-wizard_uk.ts
     translations/dde-application-wizard_zh_CN.ts
     translations/dde-application-wizard_zh_TW.ts
@@ -73,6 +76,7 @@
 
 install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})
 install(FILES scripts/dde-appwiz-uninstaller.sh DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})
+install(FILES scripts/dde-appwiz-linglong-uninstaller.sh DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})
 install(FILES polkit-1/actions/org.deepin.dde.appwiz.uninstall.policy DESTINATION ${CMAKE_INSTALL_DATADIR}/polkit-1/actions)
 install(FILES polkit-1/rules.d/org.deepin.dde.application-wizard.rules DESTINATION ${CMAKE_INSTALL_DATADIR}/polkit-1/rules.d)
 install(FILES ${TRANSLATED_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/dde-application-wizard/translations)

=== systemd/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

if (NOT DEFINED SYSTEMD_USER_UNIT_DIR)
    find_package(PkgConfig REQUIRED)
    pkg_check_modules(Systemd REQUIRED systemd)
    pkg_get_variable(SYSTEMD_USER_UNIT_DIR systemd systemduserunitdir)
endif()

configure_file(
    org.deepin.dde.daemon.Launcher1.service.in
    ${CMAKE_CURRENT_BINARY_DIR}/org.deepin.dde.daemon.Launcher1.service
    @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.deepin.dde.daemon.Launcher1.service
        DESTINATION ${SYSTEMD_USER_UNIT_DIR})

=== debian/changelog ===
dde-application-wizard (0.1.21) unstable; urgency=medium

  * fix: add translations
  * i18n: Translations update from Hosted Weblate (#50)

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 25 Sep 2025 17:40:47 +0800

dde-application-wizard (0.1.20) unstable; urgency=medium

  * fix: prefix desktop filename with linyaps in uninstall cleanup
  * feat: add Linglong uninstaller script support

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 28 Aug 2025 17:52:28 +0800

dde-application-wizard (0.1.19) unstable; urgency=medium

  * feat: add application icon support for uninstall notifications

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 21 Aug 2025 17:25:17 +0800

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
  debhelper-compat (= 13),
  cmake,
  pkg-config,
- qtbase5-dev,
- qttools5-dev,
- qttools5-dev-tools,
+ qt6-base-dev,
+ qt6-tools-dev,
+ qt6-tools-dev-tools,
  libdtkcommon-dev,
- libdtkcore-dev,
- libdtkwidget-dev,
- libdtkgui-dev,
+ libdtk6core-dev,
+ libdtk6widget-dev,
+ libdtk6gui-dev,
  libappstreamqt-dev,
- libpackagekitqt5-dev,
- qcoro-qt5-dev,
+ libpackagekitqt6-dev,
+ qcoro-qt6-dev,
 # v-- to get systemduserunitdir from its pkg-config data
  systemd
 Standards-Version: 4.6.0

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -Wall
+export DEB_CXXFLAGS_MAINT_APPEND = -Wall
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
